Skip to content
Start here

Get User Subscriptions

client.user.subscriptions.get(RequestOptionsoptions?): SinglePage<Subscription { id, currency, current_period_end, 5 more } >
GET/user/subscriptions

Lists all of a user's subscriptions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ReturnsExpand Collapse
Subscription { id, currency, current_period_end, 5 more }
id?: string

Subscription identifier tag.

maxLength32
currency?: string

The monetary unit in which pricing information is displayed.

current_period_end?: string

The end of the current period and also when the next billing is due.

formatdate-time
current_period_start?: string

When the current billing period started. May match initial_period_start if this is the first period.

formatdate-time
frequency?: "weekly" | "monthly" | "quarterly" | "yearly"

How often the subscription is renewed automatically.

One of the following:
"weekly"
"monthly"
"quarterly"
"yearly"
price?: number

The price of the subscription that will be billed, in US dollars.

rate_plan?: RatePlan { id, currency, externally_managed, 4 more }

The rate plan applied to the subscription.

id?: "free" | "lite" | "pro" | 7 more

The ID of the rate plan.

One of the following:
"free"
"lite"
"pro"
"pro_plus"
"business"
"enterprise"
"partners_free"
"partners_pro"
"partners_business"
"partners_enterprise"
currency?: string

The currency applied to the rate plan subscription.

externally_managed?: boolean

Whether this rate plan is managed externally from Cloudflare.

is_contract?: boolean

Whether a rate plan is enterprise-based (or newly adopted term contract).

public_name?: string

The full name of the rate plan.

scope?: string

The scope that this rate plan applies to.

sets?: Array<string>

The list of sets this rate plan applies to. Returns array of strings.

state?: "Trial" | "Provisioned" | "Paid" | 4 more

The state that the subscription is in.

One of the following:
"Trial"
"Provisioned"
"Paid"
"AwaitingPayment"
"Cancelled"
"Failed"
"Expired"

Get User Subscriptions

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const subscription of client.user.subscriptions.get()) {
  console.log(subscription.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "506e3185e9c882d175a2d0cb0093d9f2",
      "currency": "USD",
      "current_period_end": "2014-03-31T12:20:00Z",
      "current_period_start": "2014-05-11T12:20:00Z",
      "frequency": "monthly",
      "price": 20,
      "rate_plan": {
        "id": "free",
        "currency": "USD",
        "externally_managed": false,
        "is_contract": false,
        "public_name": "Business Plan",
        "scope": "zone",
        "sets": [
          "string"
        ]
      },
      "state": "Paid"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "506e3185e9c882d175a2d0cb0093d9f2",
      "currency": "USD",
      "current_period_end": "2014-03-31T12:20:00Z",
      "current_period_start": "2014-05-11T12:20:00Z",
      "frequency": "monthly",
      "price": 20,
      "rate_plan": {
        "id": "free",
        "currency": "USD",
        "externally_managed": false,
        "is_contract": false,
        "public_name": "Business Plan",
        "scope": "zone",
        "sets": [
          "string"
        ]
      },
      "state": "Paid"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}